#!/usr/bin/env python
import coral

M = coral.loadModel("awkward_file.xmi")
assert(M)

u = u"foo å bar"

assert(M.ownedElement[0].name == u)
assert(not M.ownedElement[0].__hasSlotByName__("feature"))
